Why does the file search plugin require Tracker 0.9+?

Asked by Jan on 2010-08-29

File search is a great function but why doesn’t it work with the already installed Tracker 0.8?

guido-iodice made me aware that Maverick ships only 0.8.16 as well.

(I am almost sure you explained this somewhere but I can’t find it.)

Question information

Language:
English Edit question
Status:
Solved
For:
Cardapio Edit question
Assignee:
No assignee Edit question
Solved by:
Thiago Teixeira
Solved:
2010-08-30
Last query:
2010-08-30
Last reply:
2010-08-29

Hi, I confirm that this is an issue. Cardapio should be compatible with packaged shipped by Ubuntu.
Please, note that the tracker 0.9.x series is marked as "unstable" upstream.

Thank you.

Changing back to open. ;)

Best Thiago Teixeira (tvst) said : #3

Good question. I made this decision a long time ago, before Cardapio went public, and didn't really write down my reasons.

The main reason, is that I simply *couldn't* get it to work with 0.8.x . Then I gave 0.9.x a try and it was pretty straight forward from there.

The thing is that I don't remember what the exact problem was with 0.8.x . Oops :-/

Since then, I also interacted with the Tracker guys and got them to implement a SPARQL method that allows substring searches to be case insensitive. I don't know if 0.8.x is able to do this, but I assume it isn't (since 0.9.x wasn't either).

But, excuses aside, the REAL reason is simply that nobody so far bothered to write a plugin for Tracker 0.8.x . If someone does, I'll gladly add it to Cardapio.

Otherwise, I may give it another try at some point, but probably won't have the time for at least a couple of months...

Thanks tvst, that solved my question.

Thiago Teixeira (tvst) said : #5

I just installed Maverick (clean install) and tried Tracker 0.8.17 again and remembered something else: I could never get Tracker 0.8.x to work at all.

It just indexes for ever, taking up 100% of my CPU, and Tracker Search Tool never returns any results.

If anyone knows how to make 0.8.x work, let me know and I will give it another shot. Otherwise, it just seems to be completely broken, which is another reason why 0.9.x is a better target...

Thiago Teixeira (tvst) said : #6

Ok, now it should work with Tracker 0.8.7 too (which is the default in Maverick). Try the bzr trunk version or just wait for the PPA release soon.